Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.javatest.interview
Class TestsInterview.TreeOrFileChoiceQuestion

    java.lang.Object
      com.sun.interview.Question
          com.sun.interview.ChoiceQuestion
              com.sun.javatest.interview.TestsInterview.TreeOrFileChoiceQuestion

Enclosing class:
  TestsInterview

    public class TestsInterview.TreeOrFileChoiceQuestion

extends ChoiceQuestion

Represents Tests Selection Choice Question. Exctracted to separate class for extensibility purposes

Field Summary

Fields inherited from class com.sun.interview.ChoiceQuestion
`value`

Fields inherited from class com.sun.interview.Question
`interview, key, tag`

Constructor Summary
`TestsInterview.TreeOrFileChoiceQuestion(Interview interview, java.lang.String tag)`

Method Summary
`protected Question` | `getNext()` Get the next question to be asked.
`protected java.lang.String[]` | `getTestSelectionChoices()` Should be overriden if more selection choices are needed
`void` | `setValue(java.lang.String newValue)` Set the current value.

Methods inherited from class com.sun.interview.ChoiceQuestion
`clear, getChoices, getDefaultValue, getDisplayChoices, getDisplayValue, getStringValue, getValue, getValueOnPath, isValueAlwaysValid, isValueValid, load, save, setChoices, setChoices, setChoices, setDefaultValue, setI18NChoices`

Methods inherited from class com.sun.interview.Question
`addMarker, equals, export, getChecklistItems, getHelpID, getImage, getInterview, getKey, getResourceString, getResourceString, getSummary, getTag, getText, getTextArgs, hashCode, hasMarker, isEnabled, isHidden, reload, removeMarker, setHelpID, setImage, setImage, setSummary, setText`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TestsInterview.TreeOrFileChoiceQuestion

    public TestsInterview.TreeOrFileChoiceQuestion(Interview interview,
                                                   java.lang.String tag)

Method Detail

### getTestSelectionChoices

    protected java.lang.String[] getTestSelectionChoices()

  Should be overriden if more selection choices are needed

  Returns:
    array of test selection choices

### setValue

    public void setValue(java.lang.String newValue)

  Description copied from class: `ChoiceQuestion`
  Set the current value.

  Overrides:
    `setValue` in class `ChoiceQuestion`
  Parameters:
    `newValue` - The value to be set. It must be one of the valid choices for this question, as distinct from the display choices.
  See Also:
    `ChoiceQuestion.getValue()`

### getNext

    protected Question getNext()

  Description copied from class: `Question`
  Get the next question to be asked.

  Specified by:
    `getNext` in class `Question`
  Returns:
    the next question to be asked

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 1996, 2011, Oracle and/or its affiliates. All rights reserved.